package net.roseindia.web.ui;
import net.roseindia.web.common.*;

import java.util.*;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;

public class MessageFactory {
	ResourceBundle bundle;
	Locale locale;
	
	public MessageFactory() {
		locale = FacesContext.getCurrentInstance().getViewRoot().getLocale();
    	bundle = ResourceBundle.getBundle("net.roseindia.web.ui.messages", locale);
	}
	
	public String getMessage(String key) {
		return bundle.getString(key);
	}
	
}